Subject: Deprecating and removing the 'mkinstalldir' script

From: Stefano Lattarini <[email-masked]>
Date: Fri, 04 Jan 2013 11:15:29 +0100

Severity: wishlist

The 'mksintalldirs' script has been by long superseded by "install-sh -d",
has  already deprecated in the documentation, and already removed in
AUtomake-NG.  I'd like to remove it in future Automake versions.

However, we must first find a viable way to non-fatally deprecate it
with some form of runtime warning.  I haven't yet thought in any detail
about how that; I'm just opening this report to ensure the question
won't slip through the cracks.

Regards,
  Stefano